/* Carrosel */
.slider {
    width: 90vw;
    height: 500px;
    margin: auto;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    z-index: 0;
    margin-top: 100px;
    overflow: hidden;
    background: #000;
}

.slider .list {
    position: absolute;
    width: max-content;
    height: 100%;
    left: 0;
    top: 0;
    display: flex;
    transition: 1s;
}

.slider .list .item {
    width: 90vw;
}

.slider .list img {
    /* width: 1300px; */
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slider .buttons {
    position: absolute;
    top: 45%;
    left: 5%;
    width: 90%;
    display: flex;
    height: 500px;
    justify-content: space-between;
    transition: .5s;
    padding-left: 10px;
    padding-right: 10px;
}

.slider .buttons:hover {
    position: absolute;
    top: 45%;
    left: 0;
    width: 100%;
}

.slider .buttons button {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #ffffffd5;
    color: #222;
    border: none;
    font-size: 1.2em;
    font-weight: bold;
    opacity: 0;
    transition: .5s;
    cursor: pointer;
    border: 1px solid #219855;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
}

.slider .buttons button i {
    font-size: 30px;
    color: #219855;
}

.slider .buttons:hover button {
    opacity: 1;
}

.slider .dots {
    position: absolute;
    bottom: 10px;
    left: 0;
    color: #fff;
    width: 100%;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
}

.slider .dots li {
    list-style: none;
    width: 10px;
    height: 10px;
    background-color: #fff;
    margin: 10px;
    border-radius: 20px;
    transition: 0.5s;
}

.slider .dots li.active {
    width: 30px;
}


/* Details */
.detailsBody {
    position: relative;
    height: 100%;
    margin-top: 10px;
    display: flex;
    justify-content: center;
    align-items: start;
    gap: 20px;
    padding: 80px;
}


.contentBox-1 {
    width: 70%;
    height: 100%;
}

.detailBox {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: start;
    align-items: start;
    flex-direction: column;
    gap: 20px;
    text-align: justify;
    scrollbar-width: none;
    font-size: 18px
}

.titleBoxDetail {
    color: #333;
    font-weight: bolder;
    font-size: 1.1em;
}

.kategoriBoxDetail {
    display: flex;
}

.kategoriBoxDetail span:nth-child(1) {
    margin-right: 50px;
    width: 100px;
    color: #aaa;
}

.statusBoxDetail {
    /* background: green; */
    display: flex;
}

.statusBoxDetail span:nth-child(1) {
    width: 100px;
    color: #aaa;
    margin-right: 50px;
}

.statusBoxDetail span:nth-child(2) {
    color: #219855;
}

.keteranganBoxDetail {
    line-height: 25px;
    display: flex;
    color: #aaa;
    flex-direction: column;
}

.boxBuka {
    display: flex;
}

.boxBuka span:nth-child(1) {
    width: 100px;
    margin-right: 50px;
}

.boxTutup {
    display: flex;
}

.boxTutup span:nth-child(1) {
    width: 100px;
    margin-right: 50px;
}

.boxBuka span:nth-child(2),
.boxTutup span:nth-child(2) {
    color: #333;
}

.deskripsiBoxDetail {
    /* background: yellowgreen; */
    display: flex;
    flex-direction: column;
    gap: 10px;
    color: #aaa;
}

.deskripsiBoxDetail .truncate-text {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 50;
    -webkit-box-orient: vertical;
}

.deskripsiBoxDetail .expanded {
    -webkit-line-clamp: unset;
}

.tombolReadmore {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.read-more {
    border: 0;
    outline: none;
    width: 150px;
    height: 50px;
    cursor: pointer;
    background: #e2e2e2;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    color: #aaa;
    font-size: 15px;
}
.read-more:focus
{
    outline: none;
}

.deskripsiBoxDetail span:nth-child(2) {
    color: #333;
}

/* .line-space {
    display: none;
} */

.contentBox-2 {
    width: 30%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: start;
}

.linkBox {
    width: 100%;
    min-height: 200px;
    height: auto;
    background: #fff;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 50px;
    position: sticky;
    top: 150px;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 20px;
    gap: 20px;
    animation: daftar .7s infinite cubic-bezier(.22, .68, 0, 1.71);
    -webkit-animation: daftar .7s infinite cubic-bezier(.22, .68, 0, 1.71);
}



.linkBox span {
    font-size: 1.6em;
    font-weight: 700;
    color: #333;
    text-align: center;
}

.linkBox a {
    text-decoration: none;
}

.openRegist .buttonRegist,
.closeRegist .buttonRegist {
    width: 100%;
    height: 20px;
    border-radius: 5px;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .5s;
}

.openRegist .buttonRegist {
    position: relative;
    width: 100%;
    height: 20px;
    background: transparent;
    border-radius: 5px;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .5s;
    overflow: hidden;
}

.openRegist .buttonRegist::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, #06DD89, #04965D);
    transition: .5s ease;
    z-index: -1;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -ms-transition: .5s ease;
    -o-transition: .5s ease;
}

.openRegist .buttonRegist:hover::before {
    transform: translateX(-90%);
    -webkit-transform: translateX(-90%);
    -moz-transform: translateX(-90%);
    -ms-transform: translateX(-90%);
    -o-transform: translateX(-90%);
}

.openRegist .buttonRegist span {
    font-size: 15px;
    transition: .5s;
    color: var(--putih);
    text-transform: uppercase;
    font-weight: bolder;
    letter-spacing: 5px;
}

.openRegist .buttonRegist:hover span {
    color: var(--hijau);
}

.closeRegist .buttonRegist {
    width: 100%;
    height: 20px;
    background: rgb(1, 1, 1, 0.1);
    border-radius: 5px;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .5s;
}

.closeRegist .buttonRegist span {
    font-size: 15px;
    transition: .5s;
    color: #bbb;
    text-transform: uppercase;
    font-weight: bolder;
    letter-spacing: 5px;
}


